ECHO OFF
IF "%1"=="" goto help
IM /D%1 /VM /NE /b %2 %3 %4
IF ERRORLEVEL 128 GOTO FAILURE
IF ERRORLEVEL 64 GOTO VIRUS
IF NOT ERRORLEVEL 24 GOTO DONE
ECHO IM found a possible problem
GOTO DONE
:Help
ECHO ÿ
ECHO The syntax is "IMSCANM A:
ECHO   where A: is the drive you wish to scan.
ECHO ÿ
GOTO Exit
:Failure
ECHO IM unable to execute
GOTO EXIT
:VIRUS
ECHO IM found signs of a virus
:DONE
ECHO IM asked to scan disk: %1
:EXIT
